vn.py量化社区
By Traders, For Traders.
Member
avatar
加入于:
帖子: 22
声望: 0

Traceback (most recent call last):
File "C:\vnstudio\lib\site-packages\urllib3\connectionpool.py", line 706, in urlopen
chunked=chunked,
File "C:\vnstudio\lib\site-packages\urllib3\connectionpool.py", line 445, in _make_request
six.raise_from(e, None)
File "<string>", line 3, in raise_from
File "C:\vnstudio\lib\site-packages\urllib3\connectionpool.py", line 440, in _make_request
httplib_response = conn.getresponse()
File "C:\vnstudio\lib\http\client.py", line 1321, in getresponse
response.begin()
File "C:\vnstudio\lib\http\client.py", line 296, in begin
version, status, reason = self._read_status()
File "C:\vnstudio\lib\http\client.py", line 257, in _read_status
line = str(self.fp.readline(_MAXLINE + 1), "iso-8859-1")
File "C:\vnstudio\lib\socket.py", line 589, in readinto
return self._sock.recv_into(b)
File "C:\vnstudio\lib\ssl.py", line 1052, in recv_into
return self.read(nbytes, buffer)
File "C:\vnstudio\lib\ssl.py", line 911, in read
return self._sslobj.read(len, buffer)
ConnectionResetError: [WinError 10054] 远程主机强迫关闭了一个现有的连接。

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "C:\vnstudio\lib\site-packages\requests\adapters.py", line 449, in send
timeout=timeout
File "C:\vnstudio\lib\site-packages\urllib3\connectionpool.py", line 756, in urlopen
method, url, error=e, _pool=self, _stacktrace=sys.exc_info()[2]
File "C:\vnstudio\lib\site-packages\urllib3\util\retry.py", line 531, in increment
raise six.reraise(type(error), error, _stacktrace)
File "C:\vnstudio\lib\site-packages\urllib3\packages\six.py", line 734, in reraise
raise value.with_traceback(tb)
File "C:\vnstudio\lib\site-packages\urllib3\connectionpool.py", line 706, in urlopen
chunked=chunked,
File "C:\vnstudio\lib\site-packages\urllib3\connectionpool.py", line 445, in _make_request
six.raise_from(e, None)
File "<string>", line 3, in raise_from
File "C:\vnstudio\lib\site-packages\urllib3\connectionpool.py", line 440, in _make_request
httplib_response = conn.getresponse()
File "C:\vnstudio\lib\http\client.py", line 1321, in getresponse
response.begin()
File "C:\vnstudio\lib\http\client.py", line 296, in begin
version, status, reason = self._read_status()
File "C:\vnstudio\lib\http\client.py", line 257, in _read_status
line = str(self.fp.readline(_MAXLINE + 1), "iso-8859-1")
File "C:\vnstudio\lib\socket.py", line 589, in readinto
return self._sock.recv_into(b)
File "C:\vnstudio\lib\ssl.py", line 1052, in recv_into
return self.read(nbytes, buffer)
File "C:\vnstudio\lib\ssl.py", line 911, in read
return self._sslobj.read(len, buffer)
urllib3.exceptions.ProtocolError: ('Connection aborted.', ConnectionResetError(10054, '远程主机强迫关闭了一个现有的连接。', None, 10054, None))

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "C:\vnstudio\lib\site-packages\howtrader\api\rest\rest_client.py", line 262, in _process_request
proxies=self.proxies,
File "C:\vnstudio\lib\site-packages\requests\sessions.py", line 542, in request
resp = self.send(prep, send_kwargs)
File "C:\vnstudio\lib\site-packages\requests\sessions.py", line 655, in send
r = adapter.send(request,
kwargs)
File "C:\vnstudio\lib\site-packages\requests\adapters.py", line 498, in send
raise ConnectionError(err, request=request)
requests.exceptions.ConnectionError: ('Connection aborted.', ConnectionResetError(10054, '远程主机强迫关闭了一个现有的连接。', None, 10054, None))

百度搜索过,没有见过类似的例子

Member
avatar
加入于:
帖子: 97
声望: 7

看起来,你这个并不是交易期货的吧。
应该是数字货币,然后呢,老是超时,或者连接过多导致断开。

Member
avatar
加入于:
帖子: 22
声望: 0

kingmo888 wrote:

看起来,你这个并不是交易期货的吧。
应该是数字货币,然后呢,老是超时,或者连接过多导致断开。

是的,是在东京的服务器,连接币安数字货币合约的交易,总是断开

Member
avatar
加入于:
帖子: 2105
声望: 139

本月会更新最新版本,会修复这个问题的

© 2015-2019 上海韦纳软件科技有限公司
备案服务号:沪ICP备18006526号-3

沪公网安备 31011502017034号